Test::LDSB::LDSB< T > Class Template Reference

Test for LDSB infrastructure More...

## Public Member Functions

| LDSB (std::string label, unsigned int c=0, unsigned int a=0)
| Initialize test.
bool | run (void)
| Perform actual tests.
Public Member Functions inherited from Test::Base
| Base (const std::string &s)
| Create and register test with name s.
const std::string & | name (void) const
| Return name of test.
Base * | next (void) const
| Return next test.
void | next (Base *n)
| Set next test.
virtual | ~Base (void)
| Destructor.

## Public Attributes

unsigned int | c_d
| Recomputation distance.
unsigned int | a_d
| Adaptation distance.

## Additional Inherited Members

Static Public Member Functions inherited from Test::Base
static void | sort (void)
| Sort tests alphabetically.
static Base * | tests (void)
| Return all tests.
static bool | fixpoint (void)
| Throw a coin whether to compute a fixpoint.
Static Public Attributes inherited from Test::Base
static Gecode::Support::RandomGenerator | rand = Gecode::Support::RandomGenerator()
| Random number generator.
Related Symbols inherited from Test::Base
int | main (int argc, char *argv[])
| Main function.

## Detailed Description

template<class T>
class Test::LDSB::LDSB< T >

Test for LDSB infrastructure

Definition at line 199 of file ldsb.cpp.

## Constructor & Destructor Documentation

## LDSB()

template<class T>

Test::LDSB::LDSB< T >::LDSB | ( | std::string | label,
|  | unsigned int | c = 0,
|  | unsigned int | a = 0 )

inline

Initialize test.

Definition at line 206 of file ldsb.cpp.

## Member Function Documentation

## run()

template<class T>

bool Test::LDSB::LDSB< T >::run | ( | void |  | ) |

inline virtual

Perform actual tests.

Implements Test::Base.

Definition at line 210 of file ldsb.cpp.

## Member Data Documentation

## c_d

template<class T>

unsigned int Test::LDSB::LDSB< T >::c_d

Recomputation distance.

Definition at line 202 of file ldsb.cpp.

## a_d

template<class T>

unsigned int Test::LDSB::LDSB< T >::a_d

Adaptation distance.

Definition at line 204 of file ldsb.cpp.

The documentation for this class was generated from the following file:

- test/ldsb.cpp